Users may not create topics, posts, or private messages containing or relating to the following material (especially pertaining to Motorola copyrighted software, unless you want Motorola to come along and shut this site down):

  • Listing for sale or trade of, or links to sites offering for sale or trade of, or giving away, Radio
    Service Software (RSS) or Customer Programming Software (CPS)
  • Profanity, pornography, defamation, or slanderous remarks directed towards any individual or entity
  • Commercial advertising (except in the Batboard Vendors forum, as approved by the Admin/Mod Staff)
  • Any other items which may be deemed as offensive

If any topics, posts, or private messages containing or relating to the aforementioned material are brought to the attention of the Admin/Mod Staff, they will be deleted.

Additional FAQ items appear here in Forum Rules. Please review them for posting guidelines and further clarification.

What exactly do I need?

This forum is for discussions regarding all aspects of Motorola radio programming, including hardware, computers, installation and use of RSS/CPS, firmware upgrades, and troubleshooting. There are subforums for discussions of codeplugs, and also for software/firmware release notes and issues.

Moderator: Queue Moderator

Nelixuk2003
New User
Posts: 2
Joined: Mon Sep 17, 2018 7:15 am
What radios do you own?: GP680

What exactly do I need?

Postby Nelixuk2003 » Thu Sep 27, 2018 4:58 am

Hi All

I want to undertake the task of downgrading some GP680's to GP380's.

I have read the introduction page relating to the RIB along with the schematic information and parts list but there are still a few questions that I have.

Which is best between the RLN4008B RIB and the Universal Programming Interface to flash with new firmware or will I have to buy a genuine Motorola RIB?

The version numbers of the radios that I have are R02.06.04, R02.07.05 and R02.09.01, Which version of CPS will I need to source in order to use a single version for all the radios? assuming that only one version will do them all (I'm not asking for a copy from anyone).

Am I correct in thinking that I will need a different version of CPS once the downgrade to 380's is complete? if so, which version would that?

I think that is all the questions that I have...... for the moment, I'm sure more will crop up!

Return to “Radio Programming”

Who is online

Users browsing this forum: No registered users and 0 guests